/**
 * Copyright 2008-2009. Chongqing Communications Industry Services Co.,Ltd Information Technology Branch. All rights reserved. <a>http://www.crunii.com</a>
 */
package com.crunii.micro.service.sysmgr.service;

import com.crunii.micro.common.dto.FileResponse;
import com.crunii.micro.domain.dto.Worker;
import com.crunii.micro.domain.entity.main.TsmEncryptTest;
import com.crunii.micro.service.sysmgr.dto.sysmgr.FileInfo;
import org.springframework.web.multipart.MultipartFile;

/**
 * @author 田平 create 2019年6月18日上午9:28:24
 */
public interface FileService {

	public FileInfo getFileInfo(String fileId);

	public String doStoreImage(MultipartFile configFile);

	public void doInsertEncrypt(TsmEncryptTest enc);

	public void doUpdateEncrypt(TsmEncryptTest enc);

	public TsmEncryptTest getEncrypt(int id);

    FileResponse doStoreFile(MultipartFile file, Worker worker);

	String UPLOAD_SIZ_OUT_LIMIT_ERROR_MSG = "上传文件{fileName}大小超过了指定大小{LimitSize}MB大小!";
}
